Page MenuHomePhabricator

Extension SpellingApi failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

18:48:57 There were 2 failures:
18:48:57 
18:48:57 1) ApiDocumentationTest::testDocumentationExists with data set "Module spellingapi with MiserMode=false, AllowCategorizedRecentChanges=false" ('spellingapi', array(false, false))
18:48:57 Module description message apihelp-spellingapi-description exists
18:48:57 Failed asserting that false is true.
18:48:57 
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:48:57 
18:48:57 2) ApiDocumentationTest::testDocumentationExists with data set "Module spellingapi with MiserMode=true, AllowCategorizedRecentChanges=true" ('spellingapi', array(true, true))
18:48:57 Module description message apihelp-spellingapi-description exists
18:48:57 Failed asserting that false is true.
18:48:57 
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:48:57 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:48:57 
18:48:57 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/SpellingApi : masterFix extension SpellingApi failing tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 6:55 PM

Change 332032 had a related patch set uploaded (by DatGuy):
Fix extension SpellingApi failing tests

https://gerrit.wikimedia.org/r/332032

DatGuy claimed this task.Jan 14 2017, 1:07 PM

Change 332032 merged by Hashar:
Fix extension SpellingApi failing tests

https://gerrit.wikimedia.org/r/332032

hashar closed this task as Resolved.Jan 16 2017, 10:28 AM